{% load i18n %}
{% if is_paginated %}
  <nav aria-label="...">
    <ul class="pagination justify-content-center">
      {% if page_obj.has_previous %}
        <li class="page-item">
          <a class="page-link"
             href="{{ request.path }}?page={{ page_obj.previous_page_number }}">{% trans "Previous" %}</a>
        </li>
      {% else %}
        <li class="page-item disabled">
          <span class="page-link">{% trans "Previous" %}</span>
        </li>
      {% endif %}
      {% for number in paginator.page_range %}
        {% if page_obj.number == number %}
          <li class="page-item active">
            <span class="page-link">
              {{ page_obj.number }}
              <span class="sr-only">({% trans "current" %})</span>
            </span>
          </li>
        {% else %}
          <li class="page-item">
            <a class="page-link" href="{{ request.path }}?page={{ number }}">{{ number }}</a>
          </li>
        {% endif %}
      {% endfor %}
      {% if page_obj.has_next %}
        <li class="page-item">
          <a class="page-link"
             href="{{ request.path }}?page={{ page_obj.next_page_number }}">{% trans "Next" %}</a>
        </li>
      {% else %}
        <li class="page-item disabled">
          <span class="page-link">{% trans "Next" %}</span>
        </li>
      {% endif %}
    </ul>
  </nav>
{% endif %}
